Skip to main content
GET
List Payments

Authorizations

X-API-KEY
string
header
required

Query Parameters

customer_id
string

Filter by customer display ID (cus_...).

invoice_id
string

Filter by invoice display ID (inv_...).

invoice_reference
string

Filter by invoice reference string.

limit
integer

Page size. Defaults to 100. Minimum 1, maximum 100.

Required range: 1 <= x <= 100
page
integer

Page number (1-based). Defaults to 1.

Required range: x >= 1

Filter by payment link display ID (plink_...).

payment_method
enum<string>[]

Filter by payment method. Accepts one value or a comma-separated list of the allowed values below.

Available options:
Unknown,
MerchantContract,
ProxyWallet,
Unblock,
Payout,
Card,
GooglePay,
ApplePay,
Paypal,
DirectDebit,
Ramp,
RampCryptoSettlement,
Refund,
Deposit
plan_id
string

Filter by plan display ID (plan_...).

since
string<date-time>

Inclusive lower bound on created_at (RFC3339). When set, results are sorted by created_at.

sort
enum<string>

Sort direction for the primary list key (created_at when since/until are set, otherwise id). Defaults to desc.

Available options:
asc,
desc
status
enum<string>[]

Filter by payment status. Accepts one value or a comma-separated list of the allowed values below.

Available options:
Unknown,
RequiresPaymentMethod,
RequiresConfirmation,
RequiresAction,
Processing,
Succeeded,
Canceled,
Failed
until
string<date-time>

Inclusive upper bound on created_at (RFC3339). When set, results are sorted by created_at.

Response

OK

data
object

Paginated payload.

error
boolean

True when the request failed.